alias_of:
  link: artist/1036
  names:
    en: Jimmy Hinson
    ja: Jimmy Hinson
birthdate: '1981-07-27'
discography:
- catalog: N/A
  date: '2007-04-01'
  link: album/5370
  reprint: false
  roles:
  - Arranger
  - Performer
  titles:
    en: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album Project'
    ja: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album Project'
    ja-latn: 'ReCapitated: An Official OverClocked ReMix Tribute Arrangement Album
      Project'
  type: doujin
- catalog: OCRA-0009
  date: '2007-09-14'
  link: album/4608
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Final Fantasy VII: Voices of the Lifestream'
    ja: 'Final Fantasy VII: Voices of the Lifestream'
    ja-latn: 'Final Fantasy VII: Voices of the Lifestream'
  type: doujin
- catalog: OCRA-0011
  date: '2008-08-08'
  link: album/8755
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Doom II: Delta-Q-Delta'
    ja: 'Doom II: Delta-Q-Delta'
    ja-latn: 'Doom II: Delta-Q-Delta'
  type: doujin
- catalog: OCRA-0012
  date: '2008-11-27'
  link: album/11103
  reprint: false
  roles:
  - Arranger
  titles:
    en: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked ReMix
    ja: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked ReMix
    ja-latn: Super Street Fighter II Turbo HD Remix Official Soundtrack / OverClocked
      ReMix
  type: doujin
- catalog: N/A
  date: '2008-12-15'
  link: album/9649
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja: 'Super Metroid ~Reserve Tank: VARIAtions~'
    ja-latn: 'Super Metroid ~Reserve Tank: VARIAtions~'
  type: doujin
- catalog: UPM110CD
  date: 2009-02
  link: album/26790
  reprint: false
  roles:
  - Arranger
  titles:
    en: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
    ja: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
    ja-latn: PSM3 Presents STREET FIGHTER THE MUSIC COLLECTION
  type: bonus
- catalog: OCRA-0022
  date: '2011-02-07'
  link: album/23749
  reprint: false
  roles:
  - Arranger
  titles:
    en: Heroes vs. Villains
    ja: Heroes vs. Villains
    ja-latn: Heroes vs. Villains
  type: doujin
- catalog: UBI028
  date: '2011-09-12'
  link: album/28814
  reprint: false
  roles:
  - Composer
  titles:
    en: Impostor Nostalgia
    ja: Impostor Nostalgia
    ja-latn: Impostor Nostalgia
  type: demo
- catalog: N/A
  date: '2011-09-28'
  link: album/27230
  reprint: false
  roles:
  - Arranger
  titles:
    en: The Binding of Isaac
    ja: The Binding of Isaac
    ja-latn: The Binding of Isaac
  type: game
- catalog: N/A
  date: '2011-10-23'
  link: album/33569
  reprint: false
  roles:
  - Composer
  titles:
    en: The Haunting of Magnolia Manor Soundtrack
    ja: The Haunting of Magnolia Manor Soundtrack
    ja-latn: The Haunting of Magnolia Manor Soundtrack
  type: game
- catalog: N/A
  date: '2011-11-03'
  link: album/146263
  reprint: false
  roles:
  - Artist
  titles:
    en: Seven Years of Server Data
    ja: Seven Years of Server Data
    ja-latn: Seven Years of Server Data
  type: game
- catalog: JWMUSIC.ORG 10108
  date: '2011-11-11'
  link: album/29978
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'Ravenmark: Scourge of Estellion Original Soundtrack'
    ja: 'Ravenmark: Scourge of Estellion Original Soundtrack'
    ja-latn: 'Ravenmark: Scourge of Estellion Original Soundtrack'
  type: game
- catalog: OCRA-0029
  date: '2011-11-22'
  link: album/30122
  reprint: false
  roles:
  - Arranger
  titles:
    en: '25YEARLEGEND: A Legend of Zelda Indie Game Composer Tribute'
    ja: '25YEARLEGEND: A Legend of Zelda Indie Game Composer Tribute'
    ja-latn: '25YEARLEGEND: A Legend of Zelda Indie Game Composer Tribute'
  type: doujin
- catalog: N/A
  date: '2011-11-25'
  link: album/30191
  reprint: false
  roles:
  - Arranger
  titles:
    en: Super Meat Boy! Digital Special Edition Soundtrack
    ja: Super Meat Boy! Digital Special Edition Soundtrack
    ja-latn: Super Meat Boy! Digital Special Edition Soundtrack
  type: game
- catalog: OCRA-0030
  date: '2011-12-06'
  link: album/30411
  reprint: false
  roles:
  - Arranger
  titles:
    en: 'BadAss: Boss Themes'
    ja: 'BadAss: Boss Themes'
    ja-latn: 'BadAss: Boss Themes'
  type: doujin
- catalog: UBI033
  date: '2011-12-20'
  link: album/30702
  reprint: false
  roles:
  - Music Producer
  - Remixer
  - Arranger
  titles:
    en: big giant christmas EP
    ja: big giant christmas EP
    ja-latn: big giant christmas EP
  type: doujin
- catalog: N/A
  date: '2012-01-19'
  link: album/31237
  reprint: false
  roles:
  - Composer
  titles:
    en: Puzzlejuice Soundtrack
    ja: Puzzlejuice Soundtrack
    ja-latn: Puzzlejuice Soundtrack
  type: game
- catalog: N/A
  date: '2012-03-15'
  link: album/32154
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Legacy
    ja: Legacy
    ja-latn: Legacy
  type: game
- catalog: N/A
  date: '2012-04-04'
  link: album/32326
  reprint: false
  roles:
  - Arranger
  titles:
    en: Unearthed
    ja: Unearthed
    ja-latn: Unearthed
  type: works
- catalog: N/A
  date: '2012-04-20'
  link: album/32609
  reprint: false
  roles:
  - Composer
  - Arranger
  titles:
    en: Max Effect
    ja: Max Effect
    ja-latn: Max Effect
  type: doujin
- catalog: N/A
  date: '2012-11-01'
  link: album/36366
  reprint: false
  roles:
  - Composer
  titles:
    en: Extreme Roadtrip 2 Soundtrack
    ja: Extreme Roadtrip 2 Soundtrack
    ja-latn: Extreme Roadtrip 2 Soundtrack
  type: game
- catalog: JOY-770
  date: '2013-05-07'
  link: album/39144
  reprint: false
  roles:
  - Artist
  titles:
    en: 'FZ: Side Z'
    ja: 'FZ: Side Z'
    ja-latn: 'FZ: Side Z'
  type: game
- catalog: N/A
  date: '2013-07-24'
  link: album/40675
  reprint: false
  roles:
  - Composer
  titles:
    en: Pocket Mine Soundtrack
    ja: Pocket Mine Soundtrack
    ja-latn: Pocket Mine Soundtrack
  type: game
- catalog: N/A
  date: '2013-10-10'
  link: album/42710
  reprint: false
  roles:
  - Arranger
  titles:
    en: Free ReMix Collection
    ja: Free ReMix Collection
    ja-latn: Free ReMix Collection
  type: doujin
- catalog: N/A
  date: '2013-10-14'
  link: album/42261
  reprint: false
  roles:
  - Composer
  titles:
    en: Zombocalypse II
    ja: Zombocalypse II
    ja-latn: Zombocalypse II
  type: game
- catalog: N/A
  date: '2014-02-10'
  link: album/44386
  reprint: false
  roles:
  - Composer
  titles:
    en: Extreme Bike Trip O.S.T.
    ja: Extreme Bike Trip O.S.T.
    ja-latn: Extreme Bike Trip O.S.T.
  type: game
- catalog: N/A
  date: '2014-02-10'
  link: album/44387
  reprint: false
  roles:
  - Composer
  titles:
    en: THREES The Soundtrack
    ja: THREES The Soundtrack
    ja-latn: THREES The Soundtrack
  type: game
- catalog: N/A
  date: '2014-02-14'
  link: album/44385
  reprint: false
  roles:
  - Composer
  titles:
    en: The Glory Days
    ja: The Glory Days
    ja-latn: The Glory Days
  type: works
- catalog: N/A
  date: '2014-06-27'
  link: album/44259
  reprint: false
  roles:
  - Performer
  titles:
    en: Just Fun
    ja: Just Fun
    ja-latn: Just Fun
  type: works
- catalog: N/A
  date: '2014-08-27'
  link: album/64959
  reprint: false
  roles:
  - Composer
  - Mastering Engineer
  titles:
    en: The Glory Days Remixed
    ja: The Glory Days Remixed
    ja-latn: The Glory Days Remixed
  type: works
- catalog: N/A
  date: '2015'
  link: album/53160
  reprint: false
  roles:
  - Artist
  titles:
    en: Not A Hero The Soundtrack
    ja: Not A Hero The Soundtrack
    ja-latn: Not A Hero The Soundtrack
  type: bonus
- catalog: N/A
  date: '2015-02-24'
  link: album/75628
  reprint: false
  roles:
  - Composer
  titles:
    en: There Came an Echo Original Soundtrack
    ja: There Came an Echo Original Soundtrack
    ja-latn: There Came an Echo Original Soundtrack
  type: bonus
- catalog: N/A
  date: '2015-05-21'
  link: album/51252
  reprint: false
  roles:
  - Composer
  - Lyricist
  titles:
    en: There Came an Echo Original Soundtrack
    ja: There Came an Echo Original Soundtrack
    ja-latn: There Came an Echo Original Soundtrack
  type: game
- catalog: N/A
  date: '2015-12-18'
  link: album/124444
  reprint: false
  roles:
  - Artist
  titles:
    en: '148'
    ja: '148'
    ja-latn: '148'
  type: game
- catalog: N/A
  date: '2016-03-31'
  link: album/64972
  reprint: false
  roles:
  - Composer
  titles:
    en: Journey of 1000 Stars OST
    ja: Journey of 1000 Stars OST
    ja-latn: Journey of 1000 Stars OST
  type: game
- catalog: N/A
  date: '2017-01-18'
  link: album/64958
  reprint: false
  roles:
  - Music
  titles:
    en: Hive Jump
    ja: Hive Jump
    ja-latn: Hive Jump
  type: game
- catalog: N/A
  date: '2018-02-08'
  link: album/75141
  reprint: false
  roles:
  - Composer
  - Lyricist
  titles:
    en: Octogeddon
    ja: Octogeddon
    ja-latn: Octogeddon
  type: game
- catalog: N/A
  date: '2019-10-30'
  link: album/92241
  reprint: false
  roles:
  - Composer
  titles:
    en: 'Borderlands 2: Complete Game Soundtrack'
    ja: 'Borderlands 2: Complete Game Soundtrack'
    ja-latn: 'Borderlands 2: Complete Game Soundtrack'
  type: game
- catalog: N/A
  date: '2020-11-13'
  link: album/106205
  reprint: false
  roles:
  - Composer
  titles:
    en: 'Call of Duty Black Ops: Cold War Soundtrack'
    ja: 'Call of Duty Black Ops: Cold War Soundtrack'
    ja-latn: 'Call of Duty Black Ops: Cold War Soundtrack'
  type: game
- catalog: N/A
  date: '2021-09-23'
  link: album/116377
  reprint: false
  roles:
  - Composer
  titles:
    en: Beast Breaker Soundtrack
    ja: Beast Breaker Soundtrack
    ja-latn: Beast Breaker Soundtrack
  type: game
- catalog: N/A
  date: '2024-10-25'
  link: album/143863
  reprint: false
  roles:
  - Artist
  titles:
    en: 'Call of Duty: Black Ops 6 Original Soundtrack'
    ja: 'Call of Duty: Black Ops 6 Original Soundtrack'
    ja-latn: 'Call of Duty: Black Ops 6 Original Soundtrack'
  type: game
- catalog: N/A
  date: '2025-11-14'
  link: album/154681
  reprint: false
  roles:
  - Remixer
  - Programmer
  titles:
    en: 'Call of Duty®: Black Ops 7 (Original Soundtrack)'
    ja: 'Call of Duty®: Black Ops 7 (Original Soundtrack)'
    ja-latn: 'Call of Duty®: Black Ops 7 (Original Soundtrack)'
  type: game
featured_on:
- catalog: N/A
  date: '2012-01-10'
  link: album/31132
  reprint: false
  roles:
  - Composer
  titles:
    en: Adventure
    ja: Adventure
    ja-latn: Adventure
  type: game
- catalog: 9BR-022
  date: '2013-08-15'
  link: album/41438
  reprint: false
  roles:
  - Composer
  titles:
    en: THE BRIGGS EFFECT 2
    ja: THE BRIGGS EFFECT 2
    ja-latn: THE BRIGGS EFFECT 2
  type: doujin
- catalog: N/A
  date: '2014-02-11'
  link: album/44380
  reprint: false
  roles:
  - Composer
  titles:
    en: Indie Game Rhapsodies
    ja: Indie Game Rhapsodies
    ja-latn: Indie Game Rhapsodies
  type: game
info:
  Birthdate: Jul 27, 1981
  Credited works:
  - 42 albums in database
  - 2 products in database
  Credits:
  - 22 composer
  - 17 arranger
  - 5 artist
  - 3 remixer
  - 2 performer
  - 2 lyricist
  - 1 music producer
  - 1 mastering engineer
  - 1 music
  - 1 programmer
  - 1 original score
link: artist/52652
meta:
  added_date: 2022-08-17T02:56
  edited_date: 2022-08-17T06:20
  fetched_date: 2025-12-07T04:43
  ttl: 86400
  visitors: 1189
name: Big Giant Circles
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/63/1036/1036-1461253633.jpg
picture_small: https://thumb-media.vgm.io/artists/63/1036/1036-1461253633.jpg
sex: male
twitter_names:
- BigGiantCircles
type: Alias
vgmdb_link: https://vgmdb.net/artist/52652?perpage=99999
websites:
  Commercial: []
  Official: []
  Personal: []
  Reference: []
